# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import model_pb2 as model__pb2


class DetrDatabrokerStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.send_training_signal = channel.unary_unary(
                '/DetrDatabroker/send_training_signal',
                request_serializer=model__pb2.Empty.SerializeToString,
                response_deserializer=model__pb2.TrainingConfig.FromString,
                )


class DetrDatabrokerServicer(object):
    """Missing associated documentation comment in .proto file."""

    def send_training_signal(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_DetrDatabrokerServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'send_training_signal': grpc.unary_unary_rpc_method_handler(
                    servicer.send_training_signal,
                    request_deserializer=model__pb2.Empty.FromString,
                    response_serializer=model__pb2.TrainingConfig.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'DetrDatabroker', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class DetrDatabroker(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def send_training_signal(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/DetrDatabroker/send_training_signal',
            model__pb2.Empty.SerializeToString,
            model__pb2.TrainingConfig.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
